import { listItemSchema } from './_shared.mjs'

/**
 * DataModel pour les items de type "target" (cibles, objectifs).
 * @augments {foundry.abstract.TypeDataModel}
 */
export default class VermineTargetData extends foundry.abstract.TypeDataModel {
  /** @override */
  static LOCALIZATION_PREFIXES = ["VERMINE.item.target"]

  /** @override */
  static defineSchema() {
    const fields = foundry.data.fields
    return {
      ...listItemSchema(),
      level: new fields.StringField({ required: true, initial: "minor" })
    }
  }
}
